Cant create overlay network with type gre or vxlan

I am not able to create an overlay network in OpenStack with this types, neutron says that these types are not supported even tho in the charm config of the neutron-api they are enabled. Geneve works without a problem btw.

RESP: [400] Connection: close Content-Length: 141 Content-Type: application/json Date: Thu, 25 Nov 2021 10:02:39 GMT Server: Apache/2.4.41 (Ubuntu) X-Openstack-Request-Id: req-36740649-5e85-4bac-939a-b210dfe1af88
RESP BODY: {"NeutronError": {"type": "InvalidInput", "message": "Invalid input for operation: network_type value 'vxlan' not supported.", "detail": ""}}
POST call to network for https://172.16.59.6:9696/v2.0/networks used request id req-36740649-5e85-4bac-939a-b210dfe1af88
Error while executing command: BadRequestException: 400, Invalid input for operation: network_type value 'vxlan' not supported.
Traceback (most recent call last):
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstackclient/network/common.py", line 250, in take_action
    self.app.client_manager.network, parsed_args)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstackclient/network/v2/network.py", line 341, in take_action_network
    obj = client.create_network(**attrs)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstack/network/v2/_proxy.py", line 1439, in create_network
    return self._create(_network.Network, **attrs)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstack/proxy.py", line 463, in _create
    return res.create(self, base_path=base_path)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstack/resource.py", line 1364, in create
    self._translate_response(response, has_body=has_body)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstack/resource.py", line 1177, in _translate_response
    exceptions.raise_from_response(response, error_message=error_message)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstack/exceptions.py", line 238, in raise_from_response
    http_status=http_status, request_id=request_id
openstack.exceptions.BadRequestException: BadRequestException: 400: Client Error for url: https://172.16.59.6:9696/v2.0/networks, Invalid input for operation: network_type value 'vxlan' not supported.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/snap/openstackclients/278/lib/python3.6/site-packages/cliff/app.py", line 407, in run_subcommand
    result = cmd.run(parsed_args)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/osc_lib/command/command.py", line 39, in run
    return super(Command, self).run(parsed_args)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/cliff/display.py", line 115, in run
    column_names, data = self.take_action(parsed_args)
  File "/snap/openstackclients/278/lib/python3.6/site-packages/openstackclient/network/common.py", line 258, in take_action
    raise exceptions.CommandError(msg)
osc_lib.exceptions.CommandError: Error while executing command: BadRequestException: 400, Invalid input for operation: network_type value 'vxlan' not supported.
clean_up CreateNetwork: Error while executing command: BadRequestException: 400, Invalid input for operation: network_type value 'vxlan' not supported.
END return value: 1

This error does not really say why it isnt supported.

Config

  default-tenant-network-type:
    source: user
    type: string
    value: vxlan
  overlay-network-type:
    default: gre
    source: default
    type: string
    value: vxlan